Classes | Namespaces | Typedefs | Enumerations | Functions
ZMFTypes.h File Reference
`#include <vector>`
`#include <memory>`
`#include <boost/optional.hpp>`
`#include <boost/variant.hpp>`
`#include "libzmf_utils.h"`

Go to the source code of this file.

## Classes
struct | libzmf::Point
struct | libzmf::BoundingBox
struct | libzmf::Curve
struct | libzmf::Color
struct | libzmf::Arrow
struct | libzmf::Pen
struct | libzmf::GradientStop
struct | libzmf::Gradient
struct | libzmf::Image
struct | libzmf::ImageFill
struct | libzmf::Transparency
struct | libzmf::Shadow
struct | libzmf::Style
struct | libzmf::Font
struct | libzmf::Span
struct | libzmf::ParagraphStyle
struct | libzmf::Paragraph
struct | libzmf::Text
struct | libzmf::Cell
struct | libzmf::Row
struct | libzmf::Column
struct | libzmf::Table
struct | libzmf::ZMFPageSettings

## Namespaces
namespace | libzmf

## Typedefs
typedef std::shared_ptr< Arrow > | libzmf::ArrowPtr
typedef boost::variant< Color, Gradient, ImageFill > | libzmf::Fill

## Enumerations
enum class | libzmf::CurveType { libzmf::LINE , libzmf::BEZIER_CURVE }
enum class | libzmf::LineCapType { libzmf::BUTT , libzmf::FLAT , libzmf::ROUND , libzmf::POINTED }
enum class | libzmf::LineJoinType { libzmf::MITER , libzmf::ROUND , libzmf::BEVEL }
enum class | libzmf::GradientType { libzmf::LINEAR , libzmf::RADIAL , libzmf::CONICAL , libzmf::CROSS , libzmf::RECTANGULAR , libzmf::FLEXIBLE }
enum class | libzmf::HorizontalAlignment { libzmf::LEFT , libzmf::RIGHT , libzmf::BLOCK , libzmf::CENTER , libzmf::FULL }
enum class | libzmf::VerticalAlignment { libzmf::TOP , libzmf::MIDDLE , libzmf::BOTTOM }

## Functions
bool | libzmf::operator== (const Point &lhs, const Point &rhs)
bool | libzmf::operator!= (const Point &lhs, const Point &rhs)